org.eclipse.jgit.api

## Class ApplyResult

- java.lang.Object
- - org.eclipse.jgit.api.ApplyResult

    public class ApplyResult
    extends Object

Encapsulates the result of a `ApplyCommand`

Since:
  2.0

### Constructor Summary

Constructors
Constructor and Description
`ApplyResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ApplyResult` `addUpdatedFile(File f)`
`List<File>` `getUpdatedFiles()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ApplyResult

    public ApplyResult()

### Method Detail

#### addUpdatedFile

    public ApplyResult addUpdatedFile(File f)

Parameters:
  `f` - an updated file
Returns:
  this instance

#### getUpdatedFiles

    public List<File> getUpdatedFiles()

Returns:
  updated files